org.apache.commons.codec.digest

## Class MessageDigestAlgorithms

- java.lang.Object
- - org.apache.commons.codec.digest.MessageDigestAlgorithms

-     public class MessageDigestAlgorithms
      extends Object

  Standard `MessageDigest` algorithm names from the Java Cryptography Architecture Standard Algorithm Name Documentation.

  This class is immutable and thread-safe.

  Java 8 and up: SHA-224.

  Java 9 and up: SHA3-224, SHA3-256, SHA3-384, SHA3-512.

  Since:
    1.7
  Version:
    $Id: MessageDigestAlgorithms.java 1744728 2016-05-20 12:55:58Z sebb $
  See Also:
    Java 6 Cryptography Architecture Standard Algorithm Name Documentation, Java 7 Cryptography Architecture Standard Algorithm Name Documentation, Java 8 Cryptography Architecture Standard Algorithm Name Documentation, Java 9 Cryptography Architecture Standard Algorithm Name Documentation, FIPS PUB 180-4, FIPS PUB 202

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MD2` The MD2 message digest algorithm defined in RFC 1319.
    `static String` | `MD5` The MD5 message digest algorithm defined in RFC 1321.
    `static String` | `SHA_1` The SHA-1 hash algorithm defined in the FIPS PUB 180-2.
    `static String` | `SHA_224` The SHA-224 hash algorithm defined in the FIPS PUB 180-3.
    `static String` | `SHA_256` The SHA-256 hash algorithm defined in the FIPS PUB 180-2.
    `static String` | `SHA_384` The SHA-384 hash algorithm defined in the FIPS PUB 180-2.
    `static String` | `SHA_512` The SHA-512 hash algorithm defined in the FIPS PUB 180-2.
    `static String` | `SHA3_224` The SHA3-224 hash algorithm defined in the FIPS PUB 202.
    `static String` | `SHA3_256` The SHA3-256 hash algorithm defined in the FIPS PUB 202.
    `static String` | `SHA3_384` The SHA3-384 hash algorithm defined in the FIPS PUB 202.
    `static String` | `SHA3_512` The SHA3-512 hash algorithm defined in the FIPS PUB 202.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `values()` Gets all constant values defined in this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MD2

          public static final String MD2

      The MD2 message digest algorithm defined in RFC 1319.
      See Also:
        Constant Field Values

    - #### MD5

          public static final String MD5

      The MD5 message digest algorithm defined in RFC 1321.
      See Also:
        Constant Field Values

    - #### SHA_1

          public static final String SHA_1

      The SHA-1 hash algorithm defined in the FIPS PUB 180-2.
      See Also:
        Constant Field Values

    - #### SHA_224

          public static final String SHA_224

      The SHA-224 hash algorithm defined in the FIPS PUB 180-3.

      Present in Oracle Java 8.

      Since:
        1.11
      See Also:
        Constant Field Values

    - #### SHA_256

          public static final String SHA_256

      The SHA-256 hash algorithm defined in the FIPS PUB 180-2.
      See Also:
        Constant Field Values

    - #### SHA_384

          public static final String SHA_384

      The SHA-384 hash algorithm defined in the FIPS PUB 180-2.
      See Also:
        Constant Field Values

    - #### SHA_512

          public static final String SHA_512

      The SHA-512 hash algorithm defined in the FIPS PUB 180-2.
      See Also:
        Constant Field Values

    - #### SHA3_224

          public static final String SHA3_224

      The SHA3-224 hash algorithm defined in the FIPS PUB 202.

      Likely to be included in Oracle Java 9 GA.

      Since:
        1.11
      See Also:
        Constant Field Values

    - #### SHA3_256

          public static final String SHA3_256

      The SHA3-256 hash algorithm defined in the FIPS PUB 202.

      Likely to be included in Oracle Java 9 GA.

      Since:
        1.11
      See Also:
        Constant Field Values

    - #### SHA3_384

          public static final String SHA3_384

      The SHA3-384 hash algorithm defined in the FIPS PUB 202.

      Likely to be included in Oracle Java 9 GA.

      Since:
        1.11
      See Also:
        Constant Field Values

    - #### SHA3_512

          public static final String SHA3_512

      The SHA3-512 hash algorithm defined in the FIPS PUB 202.

      Likely to be included in Oracle Java 9 GA.

      Since:
        1.11
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static String[] values()

      Gets all constant values defined in this class.
      Returns:
        all constant values defined in this class.
      Since:
        1.11

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.